# web3\_sha3

Returns Keccak-256 (not the standardized SHA3-256) of the given data.

This method will use `40` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#web3_sha3)

## **Parameters**

`DATA` - the data to convert into a SHA3 hash

## Returns

`DATA` - The SHA3 resultant hash of the given string

```bash
// Result
{
  "id":64,
  "jsonrpc": "2.0",
  "result": "0x47173285a8d7341e5e972fc677286384f802f8ef42a5ec5f03bbfa254cb01fad"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"web3_sha3","params":["0x68656c6c6f20776f726c64"],"id":64}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"web3_sha3","params":["0x68656c6c6f20776f726c64"],"id":64}'

```

{% endtab %}
{% endtabs %}
